commit ded6e49bb8b6e1b148aaee1d02ab1e8228d8bf63
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation zh_TW (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0d0372ff65ebb2c52db0614a349dab57c5574057
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation zh_HK (74%).
    
    124 translated messages, 43 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5c386c98ac4ccdd4e7316ccacc2d8939a1b4ccd0
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation zh_CN (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7fa8f2fae0b1f04ddbf3e1565796b075ada8f417
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation vi (53%).
    
    89 translated messages, 78 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 96bb9574fe9cc3dcd9f4b00786b9113704778429
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation uk (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 477ab3244a22bee91a3291b241bbecc7ece0f03d
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation ug (73%).
    
    122 translated messages, 45 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ef01d4684f7ed7b9377dd140e4c93d01d0f95269
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation tr (98%).
    
    165 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f459aded6eaf89443cb502b005735a5aa0961dfa
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation th (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit de66f7407889351b9e92afef9c8a4a0e3c752b7c
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:53 2023 +0200

    I18n: Update translation sv (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b68362eea521c343eba89fe372a0d60a90e38393
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation sr (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7385461f282b433940b01d8b70973bbf2da2a7e5
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation sq (98%).
    
    165 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bf88ef31afeb5bd5bae6eb5c89ee37669716f407
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation sl (98%).
    
    165 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e13eb5561b7cbed698730997ee137fa96709c1ca
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation sk (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4919bf9e740f1998c7c0b5b210bacdc6690f32b7
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation ru (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f1d3f274febeab4cffd89682261799e45e419c09
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation ro (79%).
    
    133 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6b1301274399a0f2673dd0be6197f295881b0845
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation pt_BR (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7e8b043aab5875e3068233bc16530a4b49629117
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation pt (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bcfdaf5d2134d4515761554dced03e8c08a6f818
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation pl (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4dbac48a9e66de67af8e9b9a5e3a606ffb85f7d4
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:52 2023 +0200

    I18n: Update translation oc (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ae3b07910f7e69b1b50a7fada224042863c1f35a
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation nn (79%).
    
    133 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a8d12020ace35aff1b319a99f94103bdeaf764a5
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation nl (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3053128d0d0dbd1382b76cdb65e3178d1683e5de
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation nb (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c43645720313af38929efb71b60a065668561a91
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation ms (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a4715ed32b1295d23a032ce8fb00f24334edb182
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation lt (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 53c6358f5525f3906ba6d89103976b64157405fd
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation ko (98%).
    
    165 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a9609979b608cac5b2bd40f17866b11be0c14f74
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation kk (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 29618730f98945487dcdfdd3644876324b7e2035
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation ja (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 016018e2f1f118bc1feeb3f9ea7b33c503564243
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:51 2023 +0200

    I18n: Update translation it (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 62f048bf5c579269c9f6069bfd2ef10db996c286
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation is (94%).
    
    158 translated messages, 9 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3331ce354cb5c079729f63326b8004b7f2353ecc
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation ie (85%).
    
    142 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a982b9401b88704cfe9498c42e757dd02c6c78f7
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation id (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f1744bb60473083b12dda599bef3cbd1fa93b1db
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation hye (95%).
    
    160 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8d4f602a2c76f72e9c53f026f3d86db7a3bb3921
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation hy_AM (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 62b0b6297d2e199dc40d65122a613d0b197a2133
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation hu (95%).
    
    160 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 396b04e9a0a0843d9c63f30abcfd492556399e7d
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation hr (95%).
    
    159 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5fd25b8ec899be40086c8a86e23e348af37d8656
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation hi (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b25616cfc111612c4a4e59c9e851ae4033a28977
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation he (98%).
    
    165 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 83b5a5185e492bc08627fce4487656b88f20fdab
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:50 2023 +0200

    I18n: Update translation gl (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7d98dcd88f7af2a7d0323930acfda2b6c53fe67c
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:49 2023 +0200

    I18n: Update translation fr (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 279f909c2570e0d9c2e34558ed310d85b2613347
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:49 2023 +0200

    I18n: Update translation fi (95%).
    
    159 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b6b93a932ab4aa557dfdea1496ba38db5164e95d
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:49 2023 +0200

    I18n: Update translation fa_IR (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 295fdf7b9ba3387c1e525e4dd5742cbcbd3fda20
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:49 2023 +0200

    I18n: Update translation eu (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cb0408917c106ab5dc7bb49cedd4f33e8f1b9ca5
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:49 2023 +0200

    I18n: Update translation et (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cf2b61f6bf467ab5e7c06a3d3eac4bb64d16a102
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:49 2023 +0200

    I18n: Update translation es (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f5a9b871015b9e75b5bc148145c546399ec235b5
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation en_GB (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 77c6a2f8432323feb8893dcee72ac7c2b2ea0383
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation en_CA (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f8154cf17e1b2247557deea7cfd72dc1b2f9bbb6
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation en_AU (94%).
    
    158 translated messages, 9 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b2cd4af231b998c3028eb6666db18db6d9bc3cb1
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation el (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 413e14696a299ab9c3d2e8112111964a5c3742ee
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation de (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ac9b910002559a3ea4a73895672c0b03ab4714b6
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation da (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a76ac071003e4f68beec483abe379e779b1a9b5e
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation cs (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8409372ff14110bb09d28a180a8e2ba6913d289e
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation ca (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b517e1a15b8406524340a28dd2fb1c198dd809d7
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation bg (100%).
    
    167 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9200a1ae19551a016b7b9131bf5e2380c1fb5c34
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:48 2023 +0200

    I18n: Update translation be@tarask (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0a378d7b798fcef2f014c4e0ac92f5ee25c401fb
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:47 2023 +0200

    I18n: Update translation be (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7c71a5ca5dfd29f3050253daa2940158c71a9331
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:47 2023 +0200

    I18n: Update translation az (96%).
    
    161 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0693b018c6b96836349429b0a6e0dc71fe55bc37
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 29 15:50:47 2023 +0200

    I18n: Update translation ast (78%).
    
    131 translated messages, 36 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 332f470e1db2c1121aaeb8ebc363928b605b1bf3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat May 20 19:39:31 2023 +0200

    shutdown: Do not set an error when returning TRUE
    
    Related: #174
    (cherry picked from commit 5aced5a9bfb01c776850c23a36d6d82b6e892811)

commit 0d75f1effdb7544d42cac3046018ac0e9e59de19
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 19 23:41:50 2023 +0200

    logout-dialog: Fix use-after-free
    
    Revealed by scan-build 15.0.7.
    
    (cherry picked from commit 2c884c9fd2d3ce0a4f2d4c8ad726a0ea53bbab07)

commit 95b0502c5450dfdd6e3fceac8421132919825d1a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 19 23:05:28 2023 +0200

    Use glib wrappers for memory allocation
    
    Fixes various warnings from GCC static analyser (13.1.1).
    
    (cherry picked from commit 6e36e80c1e5feed2d0797ba2be6b977ac8e5ec27)

commit 10ad60aaf8bf018c13b68ebb96e6034ab6578bf2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 18 18:09:57 2023 +0200

    build: Fix build when there is no suspend/hibernate support
    
    Related: #151
    (cherry picked from commit 3c527350bde1c5f9526f733760b6436e12ada845)

commit 6eb80c0fba808864720d41b91611a4ac6add0a5a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 18 18:07:20 2023 +0200

    build: Add suspend support for Solaris
    
    Original patch from @rorth (GitLab ID).
    
    Fixes: #151
    (cherry picked from commit 65c1606dd45694ad3e28a3df1503d6ba1eb43c42)

commit ade56002d87ada0aa59a7d9b24c0c68011c439bc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 18 17:43:06 2023 +0200

    startxfce4: Fix xinit arguments order
    
    A patch from @cyan (GitLab ID).
    
    Fixes: #147
    (cherry picked from commit ba67d401558d11d59a3cda00cdc9e57698f37b5d)

commit 65d7ba94e4274d4f05e38b159eec6597fdc0b67d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 18 17:07:10 2023 +0200

    manager: Always use xfsm_manager_save_yourself_dbus() (Fixes #106)
    
    (cherry picked from commit b759d206610b6c9dc69d7d081dcf5dfe200da33a)

commit 671cdf402cb26eb0d7c1112e457823fce73bfe8a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 18 13:08:42 2023 +0200

    settings: Remove useless tooltip
    
    The label is self-explanatory, it will avoid keeping outdated
    explanations as it is the case here.
    
    (cherry picked from commit ec4f05ba944085c00798f91fe53b7a975ea496a0)

commit df5d7b161b23f0940f919967f398379d7b39839a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat May 13 16:54:45 2023 +0200

    xflock4: Update fallback list
    
    Related: libxfce4ui!97
    (cherry picked from commit 7c846f57a5776f831d2777687b6d4b154c55b505)

commit e6e53b306f9e58228828bb949dbfbdc3b0e8406f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 12 13:10:58 2023 +0200

    logout-dialog: Lower warning level
    
    No need to trigger `G_DEBUG=fatal-criticals` for that.
    
    (cherry picked from commit de36a3d2e48916f0f0e28cd738fd8bdda7013f64)

commit 2821bb92f434c3d5c207b021871c4f6e2b94db6f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 11 14:01:40 2023 +0200

    shutdown: Keep error NULL when unused
    
    An old error that could cause a crash, or at list a critical warning, if
    reboot via ConsoleKit fails and fallback reboot fails as well.
    
    (cherry picked from commit 055fa16e1545950c652388b6c659cd14f6b5e989)

commit 171a0172b0d60aa002a40f4e4a7dea2392742046
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Apr 30 17:11:42 2023 +0200

    cleanup: Remove dead polkit code
    
    (cherry picked from commit 2a59620fa11a3bae0cf8d18ae8d10ab6a9b52f06)

commit f16c4d0ad967b67f8feadfbc55f8e751bb2df723
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 3 22:49:28 2023 +0200

    Revert "Fallback to old method for shutdown (bug #8630)."
    
    This reverts commit 5992ea6bbfd19ec44df276e704b403320cfe6779.
    
    This commit broke the previous error display by systematically trying
    the old shutdown method in case of failure. Since there is little chance
    that people will migrate from Xfce 4.8 to 4.18 or 4.20 from now on, we
    might as well revert it rather than adding code to fix the fix.
    
    Related: #170
    (cherry picked from commit c77a43d2c787cbb64bef0f8d62a0ae75fdc45298)

commit 0af893aff1c5cc78803736251e4d0aaea743d5b0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 3 20:26:09 2023 +0200

    Use g_critical() instead of g_error()
    
    There seems to be no reason to be so rough.
    
    (cherry picked from commit 03b1a1e03946a6e5bd176a35eec07bf3aec43419)

commit 3c9ff57bcc2c17a204b132c593b927815625cced
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 3 20:15:14 2023 +0200

    Use GLib logging functions or g_printerr() instead of g_print()
    
    When one should write on stderr.
    
    (cherry picked from commit 812b14fceb7afaf2c425a6ec39646383adcd025a)

commit aed672b40c8c936c47b77ce71e314b607267dcdd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 2 10:57:20 2023 +0200

    Use GLib logging functions instead of g_printerr()
    
    So that messages are properly formatted and referenced at the correct
    log level in tools such as journalctl.
    
    (cherry picked from commit 37bac27d4fe1882bcf1dc310f31a9bd64ae03bf4)

commit 04c60c42345118172ddd4ab373621c4957cb2445
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 11 16:15:26 2023 +0200

    build: Fix untranslated policykit file
    
    (cherry picked from commit 40df1e9178058bb56c520fc9f98a083e3bd26ccb)

commit 27c36b462d91b688650903d4feeff77f395c02ee
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 3 14:08:13 2023 +0200

    Escape/unescape string list delimiter when saving/restoring session
    
    Fixes: #1
    (cherry picked from commit cf239a681988e9d87c37d8f634b8fe19932d9595)

commit 11aa65a8f9f11c068c6fe33f49cd9285fbcb9581
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 3 13:33:53 2023 +0200

    Replace XfceRc with GKeyFile for session file parsing
    
    In preparation for a fix requiring delimiter escaping in string lists,
    which GKeyFile supports and XfceRc does not. This commit is not supposed
    to introduce any change in behavior, except for the few missing sanity
    checks added in the process.
    
    Delimiter escaping was not added to XfceRc because it would have
    required a complete redesign, which is not justified since GKeyFile
    exists and includes all the features of XfceRc.
    
    This commit keeps XfceRc for desktop file parsing where it does not seem
    to be a problem, and where it is widely used in the Xfce code base.
    
    Note that this change is backward compatible but not forward compatible,
    because GKeyFile adds a delimiter at the end of the list when writing,
    unlike XfceRc. And if GKeyFile is able to read correctly a list even if
    it does not end with a delimiter, XfceRc interprets the final delimiter
    as the presence of an additional empty item.
    
    Related: #1
    (cherry picked from commit bda9a260c3a6b901cd9925e0e538fe5b4620c87f)

commit aa811d0a4d1972117e7c4be2ed1dd5a6957b57f0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 19:04:40 2023 +0200

    Back to development

commit 16a7636b623eb2dc4e8e20b0a953ea4e4c4c9b0c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 19:04:13 2023 +0200

    Updates for release

commit cff23d0fadd502f7db9230f9ebbc02c00853f825
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Mar 15 11:16:17 2023 +0100

    manager: Fix GQueue memory management
    
    Other iterations over the queue don't seem to be a problem:
    g_queue_remove() is only called in xfsm_manager_close_connection(),
    which only really causes problems in one place.
    
    Fixes: #166
    (cherry picked from commit 321ca64377eb8ddf5572f260e78f119c9e87dd8b)

commit 911f5b8101dec6a6d28f7601768588a2f0fd4aaf
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 14 13:56:19 2023 +0100

    Fix Xfconf memory management
    
    * Each xfconf_init() should match an xfconf_shutdown()
    * Xfconf already manages a singleton channel, no need to duplicate that
    
    (cherry picked from commit 87ec0e7e8a3f18e776da899098698f0acf0b1fd9)

commit 31bb178eb7945fdbb80d9d0f857fd4803565a12a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Feb 18 17:05:31 2023 +0100

    Update bug report address
    
    (cherry picked from commit 6d68dc31a922ae8b45460547382300da15b2630e)

commit 03b0c1501de7b21d63d5cb3ab135b5184112e815
Author: picokan <todaysoracle@protonmail.com>
Date:   Fri Feb 10 20:54:37 2023 +0000

    Fix suspend/hibernation bug on ConsoleKit2 (Fixes #164)
    
    (cherry picked from commit e6c12ef7c643aeb05d5a9251976df78a9b82063e)

commit c7316cf22f6a08eabc90aa5b6f8b6e68147e6d41
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Feb 10 11:11:16 2023 +0100

    Back to development

commit 258e5741ef365b5c5216b522b950966ad34cc2a7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Feb 10 11:10:14 2023 +0100

    Updates for release

commit 75e18489f3efad4187dd99ff73d241c6f54a7191
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 9 13:11:57 2023 +0100

    Update copyright year

commit 5fe5e27881b04db19e2b18d4821b186ec6c43498
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Feb 6 14:24:28 2023 +0100

    Fix bus name acquisition/ownership
    
    For the use of the XfsmManager as data in `g_bus_own_name()` to make
    sense, it must be passed by reference.
    
    Fixes: #54

commit 4f007e86908815ab9065b95b6aab6345b4cd1283
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Feb 7 23:59:57 2023 +0100

    Use XfceScreensaver from Libxfce4ui
    
    Related: libxfce4ui!89, #149

commit 2022851f47b4b899c419b0812f0131ca8ba76c81
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Feb 8 09:05:43 2023 +0100

    build: Fix previous commit
    
    Fixes: 7aa0adcbb479deeeed7783e1b175fd3e6619618a

commit 7aa0adcbb479deeeed7783e1b175fd3e6619618a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Feb 7 18:02:34 2023 +0100

    build: Fix autotools warnings

commit bc31ece8d2a39abeab31bc7ad56a4fb79fa8ea74
Author: mikhailnov <mikhailnov@dumalogiya.ru>
Date:   Mon Feb 6 15:40:19 2023 +0000

    Avoid duplicating directories in the tail of $XDG_* envs
    
    Fixes: #111
    MR: !21
    Signed-off-by: Mikhail Novosyolov <m.novosyolov@rosalinux.ru>

commit 92c935a40153cb7fc907531bc68dfa1bd24f5f25
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jan 31 09:48:11 2023 +0100

    I18n: Update translation tr (100%).
    
    165 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4c732104b8604fe2f045b85eb3023399dc814cc1
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jan 29 00:46:52 2023 +0100

    I18n: Update translation el (100%).
    
    165 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 167c759824276e3213f86534d41a565ee8af9125
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 28 12:49:39 2023 +0100

    I18n: Update translation el (100%).
    
    165 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 48f109d4a91d154839f246803b70110276be71ba
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 27 10:05:08 2023 +0100

    settings: Fix memory leak
    
    Fixes: f19aab7f72dc45a68b457d2c7b45fbdc7b05d855
    Related: #156

commit 36f8090d770cd5a1ade4326434ce2d3a664c0124
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 21 00:48:45 2023 +0100

    I18n: Update translation el (100%).
    
    165 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 047b07cd215bc79e18828a4f20fbf07b195e1cd8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 13 12:49:25 2023 +0100

    I18n: Update translation pt (100%).
    
    165 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e36e0e6ce9b75493c5c85fa314ea79034767e2d1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 12 18:54:31 2023 +0100

    libxfsm: Fix wrong return value

commit 5256fd3b01196c3dfabbe004e351f74da7631ad3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 12 18:53:29 2023 +0100

    Fix memory leaks when opening xfce4-session-settings

commit d0d1223359c31de0f70f0b947575dce937e7e7e7
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jan 8 12:47:27 2023 +0100

    I18n: Update translation el (100%).
    
    165 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d110f132d8fa861297a4d8a2a0e9a0a4f695009b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Jan 1 02:12:16 2023 -0800

    Fix blurry session snapshots

commit 855af5d775ae7dd7e2e1350e61b02404c8d4c714
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Jan 1 01:03:19 2023 -0800

    Fix blurry icons in autostart tab when UI scale > 1

commit ea1e4ecd767ce3bbd6da208e46f2594d3d748462
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 16 18:47:42 2022 +0100

    build: Fix GTK deprecation warnings

commit c7c62d56bbd4ff60de6b7b4e201621d10b871a16
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 16 18:24:00 2022 +0100

    build: Fix some other GDK deprecation warnings

commit ba1af618e6dbff55b7026fd14cd6d3cbfe823cca
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 16 18:37:38 2022 +0100
[--snip--]
